folialint(1)

NAME
folialint - check validity of FoLiA documents

SYNOPSIS
folialint [options] FILE(S)

DESCRIPTION
folialint will check the validity of FoLiA files on a surface level:

- Is the tag structure according to the definition?

- Are all required elements and attributes present?

- Are the attributes and values valid?

- Are all annotations correctly declared?

- Is all text consistent?

OPTIONS
--output file
    write output to 'file'. (default is stdout). Assumes only 1 inputfile.
--nooutput
    suppress al output except errors
--nochecktext
    Disable checking text consistency. (for older FoLiA versions this wasn't forced to be so. Which is wrong )
--fixtext
    Attempt to fix text problems like wrong offset's. Might be dangerous, and the default is to DON'T do it.
-a or --autodeclare
    Attempt to automaticly fix missing annotations. (default: false)
--strip
    strip all information from the file that makes comparison hard. Notably date/time information. This also enable '--canonical' output, meaning that otherwise unsorted tags are output in the same order every time.
--permissive
    Accept documents with missing namespace declarations.
--warn
    add some extra (warning) checks:

    - About unused set declarations

    - About possible incompatabilities between the current library version and the document version.
--canonical or --KANON
    output annotation declarations and FoLiA nodes in a fixed (canonical) order. This might make tree comparisons easier.
-d or --debug level
    run with a debug level of level
-V or --version
    Show VERSION
-h or --help
    Show some help

BUGS
possible

AUTHORS
Ko van der Sloot: lamasoftware@science.ru.nl